#!/bin/sh

set -o errexit
set -o nounset

IFS=$(printf '\n\t')

# Deps
sudo apt install git
sudo apt install ffmpeg
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.1/install.sh | bash

export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"  # This loads nvm bash_completion

nvm install 16.17.1
npm install -g pm2
pm2 startup

echo 'export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"' >>~/.bash_profile

# Pull build
git clone https://github.com/vcloud-ai/bridge-build.git
dir=$(pwd)
cp $dir/ecosystem.config.js $dir/bridge-build/ecosystem.config.js
cd bridge-build

# Launch
pm2 start ecosystem.config.js
pm2 save
